# $Revision$ $Date$
# IMPORTANT: This is the log4j configuration file will be deployed and used with codebeamer in production!
# Do not alter without good reason, if you need your own logging for development, just create a new log4j.properties under "src" dir.

log4j.rootLogger=INFO, mainlogfile, errorlogfile
#log4j.rootLogger=DEBUG, console, mainlogfile, errorlogfile
#log4j.rootLogger=INFO, mainlogfile, errorlogfile, mail
#log4j.rootLogger=INFO, mainlogfile, errorlogfile, REMHOST
#log4j.rootLogger=DEBUG, LF5, mainlogfile
#log4j.rootLogger=INFO, mainlogfile, NT

# - loggers -------------------------------------------------------------------

log4j.logger.org=WARN
#log4j.logger.org.apache=WARN
#log4j.logger.org.apache.commons=WARN
#log4j.logger.org.apache.struts=WARN
#log4j.logger.org.apache.catalina.core=DEBUG
#log4j.logger.org.apache.catalina.session=DEBUG
#log4j.logger.org.apache.tomcat.util.threads=TRACE
log4j.logger.org.pdfbox=WARN
log4j.logger.org.displaytag=WARN
log4j.logger.org.quartz=WARN
log4j.logger.com.intland.codebeamer.scm.chain=INFO
log4j.logger.com.intland.codebeamer.utils.JVMLog=DEBUG,memory_log
#log4j.additivity.com.intland.codebeamer.utils.JVMLog=false
log4j.logger.com.intland.codebeamer.security.AccessLogFilter$ThreadMonitor=INFO,slow_requests

# general
#log4j.logger.com.intland.codebeamer.security=INFO
#log4j.logger.com.intland.codebeamer.Config=INFO
#log4j.logger.com.intland.codebeamer.taglib.acl=INFO
#log4j.logger.com.intland.codebeamer.servlet.CBFilter=INFO

# data access
log4j.logger.com.intland.codebeamer.persistence.dao.SlowQueries=INFO
log4j.logger.java.sql=INFO
#log4j.logger.java.sql.Connection=DEBUG
#log4j.logger.java.sql.PreparedStatement=DEBUG
log4j.logger.java.sql.Statement=DEBUG
log4j.logger.java.sql.ResultSet=INFO
#log4j.logger.com.ibatis=DEBUG

# security & persistence (with lot of INFO messages)
log4j.logger.com.intland.codebeamer.persistence.dao.impl.SourceFileSymbolDaoImpl=WARN
log4j.logger.com.intland.codebeamer.persistence.dao.impl.SourceFileDaoImpl=WARN
log4j.logger.com.intland.codebeamer.persistence.dao.impl.SourceDirectoryDaoImpl=WARN
log4j.logger.com.intland.codebeamer.persistence.dao.impl.GroupDaoImpl=WARN
log4j.logger.com.intland.codebeamer.persistence.dao.impl.ProjectDaoImpl=WARN
log4j.logger.com.intland.codebeamer.persistence.dao.impl.RoleDaoImpl=WARN
log4j.logger.com.intland.codebeamer.persistence.dao.impl.GroupRolePermissionDaoImpl=WARN
log4j.logger.com.intland.codebeamer.persistence.dao.impl.ProjectPreferencesDaoImpl=WARN
log4j.logger.com.intland.codebeamer.persistence.dao.impl.WorkingSetDaoImpl=WARN
log4j.logger.com.intland.codebeamer.persistence.dao.impl.WorkingSetItemDaoImpl=WARN

# remoting (does not append to "errorlogfile"!)
log4j.logger.remoting=WARN, mainlogfile, remotinglogfile
log4j.additivity.remoting=false

# FOP (does not append errors to "errorlogfile")
log4j.logger.FOP=WARN, foplogfile
log4j.additivity.FOP=false
log4j.logger.org.apache.fop=WARN, foplogfile
log4j.additivity.org.apache.fop=false

# - appenders -----------------------------------------------------------------

# console
log4j.appender.console=org.apache.log4j.ConsoleAppender
log4j.appender.console.layout=org.apache.log4j.PatternLayout
log4j.appender.console.layout.ConversionPattern=%-5p %c{1} %3x - %m%n

# logfile (main)
log4j.appender.mainlogfile=org.apache.log4j.DailyRollingFileAppender
log4j.appender.mainlogfile.DatePattern='.'yyyy-MM-dd
log4j.appender.mainlogfile.File=${catalina.base}/logs/cb.txt
log4j.appender.mainlogfile.Append=true
log4j.appender.mainlogfile.layout=org.apache.log4j.PatternLayout
log4j.appender.mainlogfile.layout.ConversionPattern=%d %-5p %c{3} %3x - %m [%t]%n

# logfile (errors only)
log4j.appender.errorlogfile=org.apache.log4j.DailyRollingFileAppender
log4j.appender.errorlogfile.Threshold=ERROR
log4j.appender.errorlogfile.DatePattern='.'yyyy-MM-dd
log4j.appender.errorlogfile.File=${catalina.base}/logs/errors.txt
log4j.appender.errorlogfile.Append=true
log4j.appender.errorlogfile.layout=org.apache.log4j.PatternLayout
log4j.appender.errorlogfile.layout.ConversionPattern=%d %-5p %c{3} %3x - %m [%t]%n

# logfile (remoting only)
log4j.appender.remotinglogfile=org.apache.log4j.DailyRollingFileAppender
log4j.appender.remotinglogfile.Threshold=INFO
log4j.appender.remotinglogfile.DatePattern='.'yyyy-MM-dd
log4j.appender.remotinglogfile.File=${catalina.base}/logs/remoting.txt
log4j.appender.remotinglogfile.Append=true
log4j.appender.remotinglogfile.layout=org.apache.log4j.PatternLayout
log4j.appender.remotinglogfile.layout.ConversionPattern=%d %-5p %c{3} %3x - %m [%t]%n

# logfile (memory)
log4j.appender.memory_log=org.apache.log4j.FileAppender
log4j.appender.memory_log.Append=false
log4j.appender.memory_log.File=${catalina.base}/logs/memory.txt
log4j.appender.memory_log.layout=org.apache.log4j.PatternLayout
log4j.appender.memory_log.layout.ConversionPattern=%d - %m%n

# logfile (FOP only)
log4j.appender.foplogfile=org.apache.log4j.DailyRollingFileAppender
log4j.appender.foplogfile.Threshold=ERROR
log4j.appender.foplogfile.DatePattern='.'yyyy-MM-dd
log4j.appender.foplogfile.File=${catalina.base}/logs/errors-fop.txt
log4j.appender.foplogfile.Append=true
log4j.appender.foplogfile.layout=org.apache.log4j.PatternLayout
log4j.appender.foplogfile.layout.ConversionPattern=%d %-5p %c{3} %3x - %m [%t]%n

# slow-requests
log4j.appender.slow_requests=org.apache.log4j.FileAppender
log4j.appender.slow_requests.Append=false
log4j.appender.slow_requests.File=${catalina.base}/logs/slow-requests.txt
log4j.appender.slow_requests.layout=org.apache.log4j.PatternLayout
log4j.appender.slow_requests.layout.ConversionPattern=%d - %m%n

# email appender
log4j.appender.mail=org.apache.log4j.net.SMTPAppender
#defines how othen emails are send
log4j.appender.mail.BufferSize=1
log4j.appender.mail.SMTPHost=smtp.1und1.de
log4j.appender.mail.SMTPUsername=...
log4j.appender.mail.SMTPPassword=...
log4j.appender.mail.From=codebeamer.error@intland.com
log4j.appender.mail.To=codebeamer.error@intland.com
log4j.appender.mail.Subject=CodeBeamer Error ...
log4j.appender.mail.Threshold=ERROR
log4j.appender.mail.layout=org.apache.log4j.PatternLayout
log4j.appender.mail.layout.ConversionPattern=%d %-5p %c{3} %3x - %m [%t]%n

#log4j.appender.LF5=org.apache.log4j.lf5.LF5Appender
#log4j.appender.LF5.MaxNumberOfRecords=700

# NT event log appender
#log4j.appender.NT=org.apache.log4j.nt.NTEventLogAppender

# Appender se uses the PatternLayout.
#log4j.appender.NT.layout=org.apache.log4j.PatternLayout
#log4j.appender.NT.layout.ConversionPattern=%d %-5p %c{3} %3x - %m [%t]%n

# REMHOST is set to be a SocketAppender sending its output to the server
log4j.appender.REMHOST=org.apache.log4j.net.SocketAppender
log4j.appender.REMHOST.Port=4445
log4j.appender.REMHOST.RemoteHost=localhost
